```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# final class Chapter (Details)
> namespace: **TrueChristianChurch\Joomla\GetBible\Watcher**
> extends: **Watcher**
```uml
@startuml
class Chapter << (F,LightGreen) >> #RoyalBlue {
  # Chapters $chapters
  # Verses $verses
  + __construct(Load $load, Insert $insert, ...)
  + sync(string $translation, int $book, ...) : bool
  + names(array $books) : bool
  + force(array $books) : bool
  - chapter(string $translation, int $book, ...) : bool
  - chapters(string $translation, int $book, ...) : bool
  - verses(string $translation, int $book, ...) : bool
  - update(string $translation, int $book, ...) : bool
  - hash(string $hash) : bool
}

note right of Chapter::__construct
  Constructor

  since: 2.0.1
  
  arguments:
    Load $load
    Insert $insert
    Update $update
    Chapters $chapters
    Verses $verses
end note

note left of Chapter::sync
  Sync the target being watched

  since: 2.0.1
  return: bool
  
  arguments:
    string $translation
    int $book
    int $chapter
end note

note right of Chapter::names
  Update translation book chapter names

  since: 2.0.1
  return: bool
end note

note left of Chapter::force
  Force book chapter sync

  since: 2.0.1
  return: bool
end note

note right of Chapter::chapter
  Load the chapter numbers

  since: 2.0.1
  return: bool
  
  arguments:
    string $translation
    int $book
    int $chapter
end note

note left of Chapter::chapters
  Trigger the update of the chapters of a translation-book

  since: 2.0.1
  return: bool
  
  arguments:
    string $translation
    int $book
    bool $updateHash = false
end note

note right of Chapter::verses
  Load verses

  since: 2.0.1
  return: bool
  
  arguments:
    string $translation
    int $book
    int $chapter
end note

note left of Chapter::update
  Trigger the update of the verses of a translation-book-chapter

  since: 2.0.1
  return: bool
  
  arguments:
    string $translation
    int $book
    int $chapter
end note

note right of Chapter::hash
  Trigger the update of a chapter hash value

  since: 2.0.1
  return: bool
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

