```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# final class Scripture (Details)
> namespace: **TrueChristianChurch\Joomla\GetBible\Data**
```uml
@startuml
class Scripture << (F,LightGreen) >> #RoyalBlue {
  # Translation $translation
  # Book $book
  # Chapter $chapter
  # Verse $verse
  # Word $word
  # ?object $scripture
  + __construct(Translation $translation, Book $book, ...)
  + get(string $key, mixed $default = null) : mixed
  - getScripture() : object
}

note right of Scripture::__construct
  Constructor

  since: 2.0.1
  
  arguments:
    Translation $translation
    Book $book
    Chapter $chapter
    Verse $verse
    Word $word
end note

note right of Scripture::get
  Get the Open AI response

  since: 2.0.1
  return: mixed
end note

note right of Scripture::getScripture
  Get all related scripture values

  since: 2.0.1
  return: object
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

