```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# final class Tagged (Details)
> namespace: **TrueChristianChurch\Joomla\GetBible**
```uml
@startuml
class Tagged << (F,LightGreen) >> #RoyalBlue {
  # Load $load
  # Insert $insert
  # Update $update
  # Linker $linker
  # Registry $params
  # CMSApplication $app
  + __construct(Load $load, Insert $insert, ...)
  + set(string $translation, int $book, ...) : ?array
  + delete(string $tagged) : ?array
  - getByGuid(string $guid) : ?object
  - get(string $linker, int $book, ...) : ?object
  - create(string $linker, string $translation, ...) : bool
  - createForLinker(string $linker, object $tagged, ...) : bool
}

note right of Tagged::__construct
  Constructor

  since: 2.0.1
  
  arguments:
    Load $load
    Insert $insert
    Update $update
    Linker $linker
    ?Registry $params = null
    ?CMSApplication $app = null
end note

note right of Tagged::set
  Set a tagged verse

  since: 2.0.1
  return: ?array
  
  arguments:
    string $translation
    int $book
    int $chapter
    int $verse
    string $tag
end note

note right of Tagged::delete
  Delete a tagged verse

  since: 2.0.1
  return: ?array
end note

note right of Tagged::getByGuid
  Get a tagged verse

  since: 2.0.1
  return: ?object
end note

note right of Tagged::get
  Get a tagged verse

  since: 2.0.1
  return: ?object
  
  arguments:
    string $linker
    int $book
    int $chapter
    int $verse
    string $tag
end note

note right of Tagged::create
  Create a Tagged verse

  since: 2.0.1
  return: bool
  
  arguments:
    string $linker
    string $translation
    int $book
    int $chapter
    int $verse
    string $tag
end note

note right of Tagged::createForLinker
  Create a Tagged verse for a linker using a system tagged verse

  since: 2.0.1
  return: bool
  
  arguments:
    string $linker
    object $tagged
    int $published = -2
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

