```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# class Data (Details)
> namespace: **TrueChristianChurch\Joomla\GetBible\Service**
```uml
@startuml
class Data  #Gold {
  + register(Container $container) : void
  + getConfig(Container $container) : Config
  + getTable(Container $container) : Table
  + getString(Container $container) : StringHelper
  + getPrompt(Container $container) : Prompt
  + getScripture(Container $container) : Scripture
  + getTranslation(Container $container) : Translation
  + getBook(Container $container) : Book
  + getChapter(Container $container) : Chapter
  + getVerse(Container $container) : Verse
  + getWord(Container $container) : Word
  + getPlaceholders(Container $container) : Placeholders
  + getResponse(Container $container) : Response
}

note right of Data::register
  Registers the service provider with a DI container.

  since: 3.2.0
  return: void
end note

note left of Data::getConfig
  Get the Config class

  since: 2.0.1
  return: Config
end note

note right of Data::getTable
  Get the Table class

  since: 2.0.1
  return: Table
end note

note left of Data::getString
  Get the String Helper class

  since: 3.2.0
  return: StringHelper
end note

note right of Data::getPrompt
  Get the Prompt class

  since: 3.2.0
  return: Prompt
end note

note left of Data::getScripture
  Get the Scripture class

  since: 3.2.0
  return: Scripture
end note

note right of Data::getTranslation
  Get the Translation class

  since: 3.2.0
  return: Translation
end note

note left of Data::getBook
  Get the Book class

  since: 3.2.0
  return: Book
end note

note right of Data::getChapter
  Get the Chapter class

  since: 3.2.0
  return: Chapter
end note

note left of Data::getVerse
  Get the Verse class

  since: 3.2.0
  return: Verse
end note

note right of Data::getWord
  Get the Word class

  since: 3.2.0
  return: Word
end note

note left of Data::getPlaceholders
  Get the Placeholders class

  since: 3.2.0
  return: Placeholders
end note

note right of Data::getResponse
  Get the Response class

  since: 3.2.0
  return: Response
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

