```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# final class Linker (Details)
> namespace: **TrueChristianChurch\Joomla\GetBible**
```uml
@startuml
class Linker << (F,LightGreen) >> #RoyalBlue {
  # Load $load
  # Insert $insert
  # Update $update
  # Session $session
  # bool $trigger
  + __construct(Load $load, Insert $insert, ...)
  + share() : bool
  + get() : ?string
  + getNew() : string
  + active(bool $setup = true) : ?string
  + activeDetails(bool $setup = true) : ?array
  + valid(string $linker) : bool
  + authenticated(string $linker) : array
  + trigger(string $linker) : bool
  + set(string $linker) : bool
  + revokeSession(string $linker) : ?array
  + setName(string $name) : ?array
  + access(string $linker, string $pass, ...) : ?array
  + revoke(string $linker) : ?array
  - hasAccess(string $linker, string $pass) : bool
  - getPassGuid(string $linker, string $pass) : ?string
  - getPassword(string $linker, string $pass) : ?object
  - setLinker(string $linker) : bool
  - setPassword(string $linker, string $pass) : bool
  - getGuid(string $table) : string
}

note right of Linker::__construct
  Constructor

  since: 2.0.1
  
  arguments:
    Load $load
    Insert $insert
    Update $update
    Session $session
end note

note left of Linker::share
  The Share His Word Trigger

  since: 2.0.1
  return: bool
end note

note right of Linker::get
  Get Linker that has Access

  since: 2.0.1
  return: ?string
end note

note left of Linker::getNew
  Get GUID of a new Linker

  since: 2.0.1
  return: string
end note

note right of Linker::active
  Get active Linker

  since: 2.0.1
  return: ?string
end note

note left of Linker::activeDetails
  Get active Linker details

  since: 2.0.1
  return: ?array
end note

note right of Linker::valid
  Check if a Linker is valid active linker

  since: 2.0.1
  return: bool
end note

note left of Linker::authenticated
  Check if the linker is authenticated

  since: 2.0.1
  return: array
end note

note right of Linker::trigger
  The Share His Word Trigger

  since: 2.0.1
  return: bool
end note

note left of Linker::set
  Set Active Linker

  since: 2.0.1
  return: bool
end note

note right of Linker::revokeSession
  Revoke Linker Session

  since: 2.0.1
  return: ?array
end note

note left of Linker::setName
  Set a linker name

  since: 2.0.1
  return: ?array
end note

note right of Linker::access
  Set Access

  since: 2.0.1
  return: ?array
  
  arguments:
    string $linker
    string $pass
    ?string $oldPass
end note

note left of Linker::revoke
  Revoke Access

  since: 2.0.1
  return: ?array
end note

note right of Linker::hasAccess
  Has Access

  since: 2.0.1
  return: bool
end note

note left of Linker::getPassGuid
  Get Password GUID

  since: 2.0.1
  return: ?string
end note

note right of Linker::getPassword
  Get Password

  since: 2.0.1
  return: ?object
end note

note left of Linker::setLinker
  Set Linker

  since: 2.0.1
  return: bool
end note

note right of Linker::setPassword
  Set Password

  since: 2.0.1
  return: bool
end note

note left of Linker::getGuid
  Get a GUID

  since: 2.0.1
  return: string
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

