```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# abstract class Watcher (Details)
> namespace: **TrueChristianChurch\Joomla\GetBible\Abstraction**
```uml
@startuml
abstract Watcher  #Orange {
  # Load $load
  # Insert $insert
  # Update $update
  # bool $fresh
  # bool $force
  # ?object $target
  # string $today
  # string $past
  # string $table
  + __construct(Load $load, Insert $insert, ...)
  + forceUpdate() : void
  + isNew() : bool
  # hold() : bool
  # bump() : bool
  # getTarget(array $match, array $local) : ?object
}

note right of Watcher::__construct
  Constructor

  since: 2.0.1
  
  arguments:
    Load $load
    Insert $insert
    Update $update
end note

note right of Watcher::forceUpdate
  The switch to force a local update

  since: 2.0.1
  return: void
end note

note right of Watcher::isNew
  The see if new target is newly installed

  since: 2.0.1
  return: bool
end note

note right of Watcher::hold
  Check if its time to match the API hash

  since: 2.0.1
  return: bool
end note

note right of Watcher::bump
  Bump the checking time

  since: 2.0.1
  return: bool
end note

note right of Watcher::getTarget
  Get local targeted object

  since: 2.0.1
  return: ?object
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

