```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# class Config (Details)
> namespace: **TrueChristianChurch\Joomla\GetBible\Openai**
> extends: **BaseConfig**
```uml
@startuml
class Config  #Gold {
  # Input $input
  # JoomlaRegistry $params
  + __construct(?Input $input = null, ?JoomlaRegistry $params = null)
  # getPrompt() : ?string
  # getTranslation() : ?string
  # getBook() : ?int
  # getChapter() : ?int
  # getVerse() : ?string
  # getWords() : ?string
  # getEnableopenai() : bool
  # getEnableopenaiorg() : bool
  # getToken() : ?string
  # getOrgToken() : ?string
  # getModel() : ?string
  # getMaxtokens() : ?int
  # getTemperature() : ?float
  # getTopp() : ?float
  # getN() : ?int
  # getPresencepenalty() : ?float
  # getFrequencypenalty() : ?float
}

note right of Config::__construct
  Constructor

  since: 3.2.0
end note

note left of Config::getPrompt
  get Prompt GUID

  since: 2.0.1
  return: ?string
end note

note right of Config::getTranslation
  get Translation Abbreviation

  since: 2.0.1
  return: ?string
end note

note left of Config::getBook
  get Book Number

  since: 2.0.1
  return: ?int
end note

note right of Config::getChapter
  get Chapter Number

  since: 2.0.1
  return: ?int
end note

note left of Config::getVerse
  get Verse Number/s

  since: 2.0.1
  return: ?string
end note

note right of Config::getWords
  get Words Number/s

  since: 2.0.1
  return: ?string
end note

note left of Config::getEnableopenai
  get Enable Open AI

  since: 2.0.1
  return: bool
end note

note right of Config::getEnableopenaiorg
  get Enable Open AI Organisation

  since: 2.0.1
  return: bool
end note

note left of Config::getToken
  get User Token

  since: 2.0.1
  return: ?string
end note

note right of Config::getOrgToken
  get Org Token

  since: 2.0.1
  return: ?string
end note

note left of Config::getModel
  get Open AI Model name

  since: 2.0.1
  return: ?string
end note

note right of Config::getMaxtokens
  get Max Tokens

  since: 2.0.1
  return: ?int
end note

note left of Config::getTemperature
  get Temperature

  since: 2.0.1
  return: ?float
end note

note right of Config::getTopp
  get Top P

  since: 2.0.1
  return: ?float
end note

note left of Config::getN
  get N (number of results)

  since: 2.0.1
  return: ?int
end note

note right of Config::getPresencepenalty
  get Presence Penalty

  since: 2.0.1
  return: ?float
end note

note left of Config::getFrequencypenalty
  get Frequency Penalty

  since: 2.0.1
  return: ?float
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

