```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# final class Prompt (Details)
> namespace: **TrueChristianChurch\Joomla\GetBible\Data**
```uml
@startuml
class Prompt << (F,LightGreen) >> #RoyalBlue {
  # Load $load
  # Config $config
  # array $prompts
  + __construct(Load $load, Config $config)
  + getGuid() : string
  + getToken() : ?string
  + getOrgToken() : ?string
  + getModel() : ?string
  + getMaxTokens() : ?int
  + getTemperature() : ?float
  + getTopP() : ?float
  + getN() : ?int
  + getPresencePenalty() : ?float
  + getFrequencyPenalty() : ?float
  + getIntegration() : ?int
  + getCacheBehaviour() : ?int
  + getCacheCapacity() : int
  + getMessages() : ?array
  # get() : ?object
}

note right of Prompt::__construct
  Constructor

  since: 2.0.1
end note

note left of Prompt::getGuid
  Get prompt guid

  since: 2.0.1
  return: string
end note

note right of Prompt::getToken
  Get open ai token

  since: 2.0.1
  return: ?string
end note

note left of Prompt::getOrgToken
  Get open ai organisation token

  since: 2.0.1
  return: ?string
end note

note right of Prompt::getModel
  Get open ai model name

  since: 2.0.1
  return: ?string
end note

note left of Prompt::getMaxTokens
  Get the max tokens

  since: 2.0.1
  return: ?int
end note

note right of Prompt::getTemperature
  Get the temperature

  since: 2.0.1
  return: ?float
end note

note left of Prompt::getTopP
  Get the top p

  since: 2.0.1
  return: ?float
end note

note right of Prompt::getN
  Get the number of results

  since: 2.0.1
  return: ?int
end note

note left of Prompt::getPresencePenalty
  Get presence penalty

  since: 2.0.1
  return: ?float
end note

note right of Prompt::getFrequencyPenalty
  Get frequency penalty

  since: 2.0.1
  return: ?float
end note

note left of Prompt::getIntegration
  Get the integration

  since: 2.0.1
  return: ?int
end note

note right of Prompt::getCacheBehaviour
  Get the cache behaviour

  since: 2.0.1
  return: ?int
end note

note left of Prompt::getCacheCapacity
  Get the cache capacity

  since: 2.0.1
  return: int
end note

note right of Prompt::getMessages
  Get the prompt messages

  since: 2.0.1
  return: ?array
end note

note left of Prompt::get
  Get the prompt

  since: 2.0.1
  return: ?object
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

