```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# final class Response (Details)
> namespace: **TrueChristianChurch\Joomla\GetBible\Data**
```uml
@startuml
class Response << (F,LightGreen) >> #RoyalBlue {
  # Scripture $scripture
  # Prompt $prompt
  # Load $load
  # Config $config
  # array $responses
  # int $total
  + __construct(Scripture $scripture, Prompt $prompt, ...)
  + get() : ?array
  + isEnough() : bool
  + getTotal() : int
}

note right of Response::__construct
  Constructor

  since: 2.0.1
  
  arguments:
    Scripture $scripture
    Prompt $prompt
    Load $load
    Config $config
end note

note right of Response::get
  Get the responses

  since: 2.0.1
  return: ?array
end note

note right of Response::isEnough
  is there enough response messages

  since: 2.0.1
  return: bool
end note

note right of Response::getTotal
  Get the total responses in cache

  since: 2.0.1
  return: int
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

