```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# final class Books (Details)
> namespace: **TrueChristianChurch\Joomla\GetBible\Api**
> extends: **Api**
```uml
@startuml
class Books << (F,LightGreen) >> #RoyalBlue {
  + get(string $translation = 'kjv') : ?object
  + list(string $translation = 'kjv') : ?object
  + checksum(string $translation = 'kjv') : ?object
  + sha(string $translation, int $book) : ?string
}

note right of Books::get
  Get the books in a translation

  since: 2.0.1
  return: ?object
end note

note right of Books::list
  List the books in a translation

  since: 2.0.1
  return: ?object
end note

note right of Books::checksum
  List the books checksums in a translation

  since: 2.0.1
  return: ?object
end note

note right of Books::sha
  Get the  book's checksums in a translation

  since: 2.0.1
  return: ?string
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

