```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# final class Chapter (Details)
> namespace: **TrueChristianChurch\Joomla\GetBible\Data**
```uml
@startuml
class Chapter << (F,LightGreen) >> #RoyalBlue {
  # Load $load
  # Config $config
  # array $chapters
  + __construct(Load $load, Config $config)
  + getNumber() : string
  + getName() : string
  + getText() : string
  + getVerses() : ?array
  - get() : ?object
  - loadChapterData(string $abbreviation, int $book, ...) : ?object
  - convertVersesToText(array $verses) : string
  - generateCacheKey(string $abbreviation, int $book, ...) : string
}

note right of Chapter::__construct
  Constructor

  since: 2.0.1
end note

note left of Chapter::getNumber
  Get the chapter number

  since: 2.0.1
  return: string
end note

note right of Chapter::getName
  Get the chapter name

  since: 2.0.1
  return: string
end note

note left of Chapter::getText
  Get the chapter text

  since: 2.0.1
  return: string
end note

note right of Chapter::getVerses
  Get the chapter verses

  since: 2.0.1
  return: ?array
end note

note left of Chapter::get
  Get the chapter

  since: 2.0.1
  return: ?object
end note

note right of Chapter::loadChapterData
  Loads the chapter data from the database and updates the cache

  since: 2.0.1
  return: ?object
  
  arguments:
    string $abbreviation
    int $book
    int $chapter
end note

note left of Chapter::convertVersesToText
  Convert verses to text

  since: 2.0.1
  return: string
end note

note right of Chapter::generateCacheKey
  Generates a cache key based on the abbreviation, book, and chapter

  since: 2.0.1
  return: string
  
  arguments:
    string $abbreviation
    int $book
    int $chapter
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

