```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# final class Paragraphs (Details)
> namespace: **TrueChristianChurch\Joomla\GetBible\Tagged**
```uml
@startuml
class Paragraphs << (F,LightGreen) >> #RoyalBlue {
  - int $previousBook
  - int $previousChapter
  - int $previousVerse
  - int $group
  - array $paragraphs
  + get(array $items, string $translation = 'kjv') : array
  - resetProperties() : void
  - sortIntoParagraphs(array $items) : void
  - isNotSequential(object $item) : bool
  - getKey(object $item) : string
  - setDetails(object $item, string $key) : void
  - addVerse(object $item, string $key) : void
  - updatePrevious(object $item) : void
  - setUrls(string $translation) : void
  - setVerseAndName(array $paragraph) : void
  - setUrl(array $paragraph, string $translation) : void
}

note right of Paragraphs::get
  Main function to get sorted paragraphs.

  since: 2.0.1
  return: array
end note

note left of Paragraphs::resetProperties
  Reset properties before getting paragraphs

  since: 2.0.1
  return: void
end note

note right of Paragraphs::sortIntoParagraphs
  Sort items into paragraphs.

  since: 2.0.1
  return: void
end note

note left of Paragraphs::isNotSequential
  Check if a verse is not sequential.

  since: 2.0.1
  return: bool
end note

note right of Paragraphs::getKey
  Generate a key based on the verse item.

  since: 2.0.1
  return: string
end note

note left of Paragraphs::setDetails
  Set details for a verse.

  since: 2.0.1
  return: void
end note

note right of Paragraphs::addVerse
  Add a verse to the paragraphs.

  since: 2.0.1
  return: void
end note

note left of Paragraphs::updatePrevious
  Update the previous verse, book, and chapter to the current one.

  since: 2.0.1
  return: void
end note

note right of Paragraphs::setUrls
  Set URLs for the paragraphs.

  since: 2.0.1
  return: void
end note

note left of Paragraphs::setVerseAndName
  Set verse and name for a paragraph.

  since: 2.0.1
  return: void
end note

note right of Paragraphs::setUrl
  Set URL for a paragraph.

  since: 2.0.1
  return: void
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

