```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# class Database (Details)
> namespace: **TrueChristianChurch\Joomla\GetBible\Service**
```uml
@startuml
class Database  #Gold {
  + register(Container $container) : void
  + getBaseUpdate(Container $container) : BaseUpdate
  + getBaseInsert(Container $container) : BaseInsert
  + getBaseLoad(Container $container) : BaseLoad
  + getInsert(Container $container) : Insert
  + getUpdate(Container $container) : Update
  + getLoad(Container $container) : Load
}

note right of Database::register
  Registers the service provider with a DI container.

  since: 2.0.1
  return: void
end note

note right of Database::getBaseUpdate
  Get the BaseUpdate class

  since: 2.0.1
  return: BaseUpdate
end note

note right of Database::getBaseInsert
  Get the BaseInsert class

  since: 2.0.1
  return: BaseInsert
end note

note right of Database::getBaseLoad
  Get the BaseLoad class

  since: 2.0.1
  return: BaseLoad
end note

note right of Database::getInsert
  Get the Insert class

  since: 2.0.1
  return: Insert
end note

note right of Database::getUpdate
  Get the Update class

  since: 2.0.1
  return: Update
end note

note right of Database::getLoad
  Get the Table class

  since: 2.0.1
  return: Load
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

