```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# class App (Details)
> namespace: **TrueChristianChurch\Joomla\GetBible\Service**
```uml
@startuml
class App  #Gold {
  + register(Container $container) : void
  + getConfig(Container $container) : Config
  + getTable(Container $container) : Table
  + getDailyScripture(Container $container) : DailyScripture
  + getSearch(Container $container) : Search
  + getLoader(Container $container) : Loader
  + getLinker(Container $container) : Linker
  + getNote(Container $container) : Note
  + getTag(Container $container) : Tag
  + getTagged(Container $container) : Tagged
  + getTaggedParagraphs(Container $container) : Paragraphs
}

note right of App::register
  Registers the service provider with a DI container.

  since: 2.0.1
  return: void
end note

note left of App::getConfig
  Get the Config class

  since: 2.0.1
  return: Config
end note

note right of App::getTable
  Get the Table class

  since: 2.0.1
  return: Table
end note

note left of App::getDailyScripture
  Get the Daily Scripture class

  since: 2.0.1
  return: DailyScripture
end note

note right of App::getSearch
  Get the Search class

  since: 2.0.1
  return: Search
end note

note left of App::getLoader
  Get the Loader class

  since: 2.0.1
  return: Loader
end note

note right of App::getLinker
  Get the Linker class

  since: 2.0.1
  return: Linker
end note

note left of App::getNote
  Get the Note class

  since: 2.0.1
  return: Note
end note

note right of App::getTag
  Get the Tag class

  since: 2.0.1
  return: Tag
end note

note left of App::getTagged
  Get the Tagged class

  since: 2.0.1
  return: Tagged
end note

note right of App::getTaggedParagraphs
  Get the Paragraphs class

  since: 2.0.1
  return: Paragraphs
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

