```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# final class Tag (Details)
> namespace: **TrueChristianChurch\Joomla\GetBible**
```uml
@startuml
class Tag << (F,LightGreen) >> #RoyalBlue {
  # Load $load
  # Insert $insert
  # Update $update
  # Linker $linker
  + __construct(Load $load, Insert $insert, ...)
  + create(string $name, ?string $description) : ?array
  + update(string $tag, string $name, ...) : ?array
  + delete(string $tag) : ?array
  - get(string $linker, string $name) : ?object
  - createTag(string $linker, string $name, ...) : bool
}

note right of Tag::__construct
  Constructor

  since: 2.0.1
  
  arguments:
    Load $load
    Insert $insert
    Update $update
    Linker $linker
end note

note right of Tag::create
  Create a tag

  since: 2.0.1
  return: ?array
end note

note right of Tag::update
  Update a tag

  since: 2.0.1
  return: ?array
  
  arguments:
    string $tag
    string $name
    ?string $description
end note

note right of Tag::delete
  Delete a tag

  since: 2.0.1
  return: ?array
end note

note right of Tag::get
  Get a tag

  since: 2.0.1
  return: ?object
end note

note right of Tag::createTag
  Create a Tag

  since: 2.0.1
  return: bool
  
  arguments:
    string $linker
    string $name
    ?string $description
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

