```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# final class Translation (Details)
> namespace: **TrueChristianChurch\Joomla\GetBible\Watcher**
> extends: **Watcher**
```uml
@startuml
class Translation << (F,LightGreen) >> #RoyalBlue {
  # Translations $translations
  + __construct(Load $load, Insert $insert, ...)
  + translations() : bool
  + sync(string $translation) : bool
  - load(string $translation) : bool
  - update() : bool
}

note right of Translation::__construct
  Constructor

  since: 2.0.1
  
  arguments:
    Load $load
    Insert $insert
    Update $update
    Translations $translations
end note

note right of Translation::translations
  Update translations details

  since: 2.0.1
  return: bool
end note

note right of Translation::sync
  Sync the target being watched

  since: 2.0.1
  return: bool
end note

note right of Translation::load
  Load Translation

  since: 2.0.1
  return: bool
end note

note right of Translation::update
  Trigger the update of all translations

  since: 2.0.1
  return: bool
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

