```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# final class DailyScripture (Details)
> namespace: **TrueChristianChurch\Joomla\GetBible**
```uml
@startuml
class DailyScripture << (F,LightGreen) >> #RoyalBlue {
  # ?int $book
  # ?int $chapter
  # ?string $verses
  # ?string $reference
  # Load $load
  # string $active
  + __construct(Config $config, Http $http, ...)
  + isDaily() : bool
  + setActive(?int $book, ?int $chapter, ...) : void
  + load(string $reference)
  + book() : ?int
  + chapter() : ?int
  + verses() : ?string
  - parse(string $reference)
  - extract(string $reference) : ?string
  - replace(string $reference, string $name, ...) : string
  - mb_str_replace(string $search, string $replace, ...) : string
}

note right of DailyScripture::__construct
  Constructor

  since: 2.0.1
  
  arguments:
    Config $config
    Http $http
    Load $load
end note

note left of DailyScripture::isDaily
  method to validate if this is still the daily verse

  since: 2.0.1
  return: bool
end note

note right of DailyScripture::setActive
  Set Current active verse

  since: 2.0.1
  return: void
  
  arguments:
    ?int $book
    ?int $chapter
    ?string $verses
end note

note left of DailyScripture::load
  An option to load another reference

  since: 2.0.1
end note

note right of DailyScripture::book
  Get the book number from the reference

  since: 2.0.1
  return: ?int
end note

note left of DailyScripture::chapter
  Get the chapter from the reference

  since: 2.0.1
  return: ?int
end note

note right of DailyScripture::verses
  Get the verses from the reference

  since: 2.0.1
  return: ?string
end note

note left of DailyScripture::parse
  Parse the scriptural reference

  since: 2.0.1
end note

note right of DailyScripture::extract
  Extract the book name from the reference

  since: 2.0.1
  return: ?string
end note

note left of DailyScripture::replace
  Replace the book name with a number in the reference

  since: 2.0.1
  return: string
  
  arguments:
    string $reference
    string $name
    int $number
end note

note right of DailyScripture::mb_str_replace
  Build in str_replace that will work with all languages

  since: 2.0.1
  return: string
  
  arguments:
    string $search
    string $replace
    string $subject
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

