```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# final class Upsert (Details)
> namespace: **TrueChristianChurch\Joomla\GetBible\Model**
> extends: **Model**
```uml
@startuml
class Upsert << (F,LightGreen) >> #RoyalBlue {
  # Config $config
  + __construct(Config $config, Table $table)
  + value(mixed $value, string $field, ...) : mixed
  # validateBefore(mixed $value, ?string $field = null, ...) : bool
  # validateAfter(mixed $value, ?string $field = null, ...) : bool
  # getTable() : string
  + modelDistributionHistory(mixed $value) : mixed
}

note right of Upsert::__construct
  Constructor

  since: 2.0.1
end note

note right of Upsert::value
  Model the value
Example: $this->value(value, 'field_key', 'table_name');

  since: 2.0.1
  return: mixed
  
  arguments:
    mixed $value
    string $field
    ?string $table = null
end note

note right of Upsert::validateBefore
  Validate before the value is modelled

  since: 2.0.1
  return: bool
  
  arguments:
    mixed $value
    ?string $field = null
    ?string $table = null
end note

note right of Upsert::validateAfter
  Validate after the value is modelled

  since: 2.0.1
  return: bool
  
  arguments:
    mixed $value
    ?string $field = null
    ?string $table = null
end note

note right of Upsert::getTable
  Get the current active table

  since: 2.0.1
  return: string
end note

note right of Upsert::modelDistributionHistory
  Model Distribution History

  since: 2.0.1
  return: mixed
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

