```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# final class Chapters (Details)
> namespace: **TrueChristianChurch\Joomla\GetBible\Api**
> extends: **Api**
```uml
@startuml
class Chapters << (F,LightGreen) >> #RoyalBlue {
  + get(string $translation, int $book) : ?object
  + list(string $translation, int $book) : ?object
  + checksum(string $translation, int $book) : ?object
  + sha(string $translation, int $book, ...) : ?string
}

note right of Chapters::get
  Get the chapters in a book in a translation

  since: 2.0.1
  return: ?object
end note

note right of Chapters::list
  List the chapters of a book in a translation

  since: 2.0.1
  return: ?object
end note

note right of Chapters::checksum
  List the chapters checksums of a book in a translation

  since: 2.0.1
  return: ?object
end note

note right of Chapters::sha
  Get the chapter's checksums of a book in a translation

  since: 2.0.1
  return: ?string
  
  arguments:
    string $translation
    int $book
    int $chapter
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

