```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# final class Book (Details)
> namespace: **TrueChristianChurch\Joomla\GetBible\Watcher**
> extends: **Watcher**
```uml
@startuml
class Book << (F,LightGreen) >> #RoyalBlue {
  # Books $books
  + __construct(Load $load, Insert $insert, ...)
  + translations(array $translations) : bool
  + sync(string $translation, int $book) : bool
  - load(string $translation, int $book) : bool
  - update(string $translation) : bool
}

note right of Book::__construct
  Constructor

  since: 2.0.1
  
  arguments:
    Load $load
    Insert $insert
    Update $update
    Books $books
end note

note right of Book::translations
  Update translations books

  since: 2.0.1
  return: bool
end note

note right of Book::sync
  Sync the target being watched

  since: 2.0.1
  return: bool
end note

note right of Book::load
  Load Book

  since: 2.0.1
  return: bool
end note

note right of Book::update
  Trigger the update of all books of this translation

  since: 2.0.1
  return: bool
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

