```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# final class Translation (Details)
> namespace: **TrueChristianChurch\Joomla\GetBible\Data**
```uml
@startuml
class Translation << (F,LightGreen) >> #RoyalBlue {
  # Load $load
  # Config $config
  # array $translations
  + __construct(Load $load, Config $config)
  + getName() : string
  + getLanguage() : string
  + getLcsh() : string
  + getAbbreviation() : string
  + get() : ?object
}

note right of Translation::__construct
  Constructor

  since: 2.0.1
end note

note right of Translation::getName
  Get the translation name

  since: 2.0.1
  return: string
end note

note right of Translation::getLanguage
  Get the translation language

  since: 2.0.1
  return: string
end note

note right of Translation::getLcsh
  Get the translation distribution lcsh

  since: 2.0.1
  return: string
end note

note right of Translation::getAbbreviation
  Get the translation abbreviation

  since: 2.0.1
  return: string
end note

note right of Translation::get
  Get the translation

  since: 2.0.1
  return: ?object
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

