```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# final class Response (Details)
> namespace: **TrueChristianChurch\Joomla\GetBible\Utilities**
```uml
@startuml
class Response << (F,LightGreen) >> #RoyalBlue {
  + get(JoomlaResponse $response, int $expectedCode = 200, ...) : mixed
  # getBody(JoomlaResponse $response, mixed $default = null) : mixed
  # error(JoomlaResponse $response) : string
}

note right of Response::get
  Process the response and decode it.

  since: 2.0.1
  return: mixed
  
  arguments:
    JoomlaResponse $response
    int $expectedCode = 200
    mixed $default = null
end note

note right of Response::getBody
  Return the body from the response

  since: 2.0.1
  return: mixed
end note

note right of Response::error
  Get the error message from the GetBible API response

  since: 2.0.1
  return: string
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

