```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# final class Update (Details)
> namespace: **TrueChristianChurch\Joomla\GetBible\Database**
```uml
@startuml
class Update << (F,LightGreen) >> #RoyalBlue {
  # Model $model
  # Database $database
  + __construct(Model $model, Database $database)
  + value(mixed $value, string $field, ...) : bool
  + row(array $item, string $key, ...) : bool
  + rows(?array $items, string $key, ...) : bool
  + item(object $item, string $key, ...) : bool
  + items(?array $items, string $key, ...) : bool
}

note right of Update::__construct
  Constructor

  since: 2.0.1
end note

note right of Update::value
  Update a value to a given table
Example: $this->value(Value, 'value_key', 'id', 'table_name');

  since: 2.0.1
  return: bool
  
  arguments:
    mixed $value
    string $field
    string $keyValue
    string $key
    string $table
end note

note right of Update::row
  Update single row with multiple values to a given table
Example: $this->item(Array, 'id', 'table_name');

  since: 2.0.1
  return: bool
  
  arguments:
    array $item
    string $key
    string $table
end note

note right of Update::rows
  Update multiple rows to a given table
Example: $this->items(Array, 'id', 'table_name');

  since: 2.0.1
  return: bool
  
  arguments:
    ?array $items
    string $key
    string $table
end note

note right of Update::item
  Update single item with multiple values to a given table
Example: $this->item(Object, 'id', 'table_name');

  since: 2.0.1
  return: bool
  
  arguments:
    object $item
    string $key
    string $table
end note

note right of Update::items
  Update multiple items to a given table
Example: $this->items(Array, 'id', 'table_name');

  since: 2.0.1
  return: bool
  
  arguments:
    ?array $items
    string $key
    string $table
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

