```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# final class Note (Details)
> namespace: **TrueChristianChurch\Joomla\GetBible**
```uml
@startuml
class Note << (F,LightGreen) >> #RoyalBlue {
  # Load $load
  # Insert $insert
  # Update $update
  # Linker $linker
  + __construct(Load $load, Insert $insert, ...)
  + set(int $book, int $chapter, ...) : ?array
  + delete(string $note) : bool
  - get(string $linker, int $book, ...) : ?object
  - create(string $linker, int $book, ...) : bool
}

note right of Note::__construct
  Constructor

  since: 2.0.1
  
  arguments:
    Load $load
    Insert $insert
    Update $update
    Linker $linker
end note

note right of Note::set
  Set a note

  since: 2.0.1
  return: ?array
  
  arguments:
    int $book
    int $chapter
    int $verse
    ?string $note
end note

note right of Note::delete
  Delete a note

  since: 2.0.1
  return: bool
end note

note right of Note::get
  Get a note

  since: 2.0.1
  return: ?object
  
  arguments:
    string $linker
    int $book
    int $chapter
    int $verse
end note

note right of Note::create
  Create a note

  since: 2.0.1
  return: bool
  
  arguments:
    string $linker
    int $book
    int $chapter
    int $verse
    ?string $note
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

