```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# final class Engineer (Details)
> namespace: **TrueChristianChurch\Joomla\GetBible\AI**
```uml
@startuml
class Engineer << (F,LightGreen) >> #RoyalBlue {
  # Scripture $scripture
  # Prompt $prompt
  # Placeholders $placeholders
  # Chat $chat
  # Insert $insert
  # ?array $messages
  # ?object $response
  + __construct(Scripture $scripture, Prompt $prompt, ...)
  + get() : ?array
  - saveMessages() : bool
  - saveResponse() : bool
  - modelResponse() : bool
  - modelMessages() : bool
  - getResponse() : bool
  - getMessages() : ?array
}

note right of Engineer::__construct
  Constructor

  since: 2.0.1
  
  arguments:
    Scripture $scripture
    Prompt $prompt
    Placeholders $placeholders
    Chat $chat
    Insert $insert
end note

note left of Engineer::get
  Return the current data state

  since: 2.0.1
  return: ?array
end note

note right of Engineer::saveMessages
  Save the messages

  since: 2.0.1
  return: bool
end note

note left of Engineer::saveResponse
  Save the response

  since: 2.0.1
  return: bool
end note

note right of Engineer::modelResponse
  Prep the response data

  since: 2.0.1
  return: bool
end note

note left of Engineer::modelMessages
  Prep the messages

  since: 2.0.1
  return: bool
end note

note right of Engineer::getResponse
  Get the Open AI response

  since: 2.0.1
  return: bool
end note

note left of Engineer::getMessages
  Get the ready to use prompt messages

  since: 2.0.1
  return: ?array
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

