```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# final class Book (Details)
> namespace: **TrueChristianChurch\Joomla\GetBible\Data**
```uml
@startuml
class Book << (F,LightGreen) >> #RoyalBlue {
  # Load $load
  # Config $config
  # array $books
  + __construct(Load $load, Config $config)
  + getNumber() : string
  + getName() : string
  - get() : ?object
  - loadBookData(string $abbreviation, int $book) : ?object
  - generateCacheKey(string $abbreviation, int $book) : string
}

note right of Book::__construct
  Constructor

  since: 2.0.1
end note

note right of Book::getNumber
  Get the book number

  since: 2.0.1
  return: string
end note

note right of Book::getName
  Get the book name

  since: 2.0.1
  return: string
end note

note right of Book::get
  Get the book

  since: 2.0.1
  return: ?object
end note

note right of Book::loadBookData
  Loads the book data from the database and updates the cache

  since: 2.0.1
  return: ?object
end note

note right of Book::generateCacheKey
  Generates a cache key based on the abbreviation, and book

  since: 2.0.1
  return: string
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

